<?php


namespace app\common\model\mysql;


use think\Model;

class Category extends Model
{
    /**
     * 自动生成写入时间
     * @var bool
     */
    protected $autoWriteTimestamp = true;

    /**
     * 获取正常状态的分类
     * @param string $field
     * @return \think\Collection
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function getNormalCategory($field = '*')
    {
        $where = [
            'status' => config('status.mysql.table_normal')
        ];

        return $this->where($where)->field($field)->select();
    }
}